CCW_DEVICE_HALT(9)

NAME
ccw_device_halt - halt I/O request processing

SYNOPSIS

int ccw_device_halt(struct ccw_device * cdev, unsigned long intparm);

ARGUMENTS

cdev
    target ccw device

intparm
    interruption parameter; value is only used if no I/O is outstanding, otherwise the intparm associated with the I/O request is returned

DESCRIPTION

ccw_device_halt calls hsch on cdev's subchannel.

RETURNS

0 on success, -ENODEV on device not operational, -EINVAL on invalid device state, -EBUSY on device busy or interrupt pending.

CONTEXT

Interrupts disabled, ccw device lock held

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT